angular.module('manage-retention-module', ['ngDialog', 'ui.grid','ui.grid.resizeColumns','ui.grid.autoResize','ngGrid','ui.grid.selection'])
    .config(['ngDialogProvider', function (ngDialogProvider) {
        ngDialogProvider.setDefaults({
            plain: false,
            showClose: true,
            closeByDocument: true,
            closeByEscape: true,
            appendTo: false,
            preCloseCallback: function (value) {

            }
        });
    }])
    .controller('RetentionPolicyCtrl', ['$scope', '$rootScope', 'ngDialog','gettextCatalog',
        function($scope, $rootScope, ngDialog, gettextCatalog) {

            $scope.retentionPolicyGrid = {
                enableSorting: true,
                enableFiltering: false,
                enableRowSelection: false,
                enableRowHeaderSelection: false,
                rowHeight: 28,
                enableColumnResizing: true,
                enableHorizontalScrollbar: 0,
                multiSelect: false,

                columnDefs: [
                    {
                        name: 'name',
                        displayName: 'Asset',
                        cellTooltip: true
                    },
                    {
                        name: 'policy',
                        displayName: 'Retention Policy',
                        cellTooltip: true
                    }
                ],
                data: []
            };

            //    $scope.retentionGridOptions.data = $scope.ngDialogData.policyAssets;

            $scope.closeWarningDialog = function () {
                // ngDialog.close('sla-retention-conflict');
            };

        }]);




/*
$scope.validDeleteBackupsGridData = {
                    multiSelect: false,
                    selectionRowHeaderWidth: 35,
                    rowHeight: 24,
                    enableFullRowSelection : true,
                gridMenuShowHideColumns:false,
                    enableColumnMenus:false,
                    enableHorizontalScrollbar: 0,
                data: $scope.deleteBackups_valid
        };*/
